use ExtUtils::MakeMaker;

print <<EOF;

***
*** IMPORTANT: PLIB::PUI requires a C++ compiler that is compatible
*** with your perl. You need to specify by overriding CC manually, as in:
***
*** perl Makefile.PL CC=g++
***

EOF

sub MY::postamble {
    my $postamble =<<'END';

clean::
	-cd pui && $(MAKE) clean

$(MYEXTLIB):
	cd pui && $(MAKE) CC="$(CC)" CFLAGS="$(OPTIMIZE) $(CFLAGS) $(CCCDLFLAGS)" all

END
}

WriteMakefile(
    dist	=> {
	            PREOP	=> 'pod2text PUI.pm | tee README >$(DISTVNAME)/README; chmod -R u=rwX,go=rX . ;',
	            COMPRESS	=> 'gzip -9v',
	            SUFFIX	=> '.gz',
	           },
    NAME => "PLIB::PUI",
    MYEXTLIB => 'pui/libplibpu.a',
    VERSION_FROM => "PUI.pm",
);

